<?php get_header(); ?>
<!-- index.php -->
		<div id="container">
	
		    <!-- rightnav -->
		    <div id="rightnav">
		    	<?php get_sidebar(); ?>
			  	</div> 
			<!-- end rightnav -->
	
			<div id="content">
				<?php if (have_posts()) : ?>
				
					<?php /* If this is a category archive */ if (is_category()) { ?>
						<h4 class="pagetitle">Archive for the '<?php echo single_cat_title(); ?>' Category</h4>
						
					<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
						<h4 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h4>
						
					<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
						<h4 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h4>
					
					<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
						<h4 class="pagetitle">Archive for <?php the_time('Y'); ?></h4>
			
					<?php /* If this is a search */ } elseif (is_search()) { ?>
						<h4 class="pagetitle">Search Results</h4>
			
					<?php /* If this is an author archive */ } 
						elseif (is_author()) { ?>
							<h4 class="pagetitle">Author Archive</h4>
							
					<?php /* If this is a paged archive */ } 
						elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
						<h4 class="pagetitle">Blog Archives</h4>
					
					<?php } ?>
				
					<?php while (have_posts()) : the_post(); ?>	
						<div class="post" id="post-<?php the_ID(); ?>">
							<div class="postheader">
								<div class="postmetadata">
									<span class="date"><?php the_time('d') ?> <?php the_time('M') ?></span>
									<?php the_category(', ') ?> by: <?php the_author() ?>&nbsp;
									<?php if (get_the_tags()) {the_tags(); ?><br/><?php } ?>
									<b><?php edit_post_link('Edit',' ',''); ?>&nbsp; 
									<?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></b>
									</div>
								<h3 class="posttitle">
									<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">
										<?php the_title(); ?>
										</a>
									</h3>
								</div>
								<!-- end class postheader -->
							<div class="entry">
								<?php the_content('Continue Reading &raquo;'); ?>
								</div>
								<!-- end entry -->
							<?php comments_template(); // Get wp-comments.php template ?>
							</div> <!-- end class post -->
					<?php endwhile; ?>
					
					<div class="navigation">
						<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
						<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
						</div> <!-- end navigation -->

				<?php /* Content required not found */ else : ?>
					<h2 class="center">Not Found</h2>
					<p class="center">Sorry, but you are looking for something that isn't here.</p>

				<?php endif; ?>
	    			</div> <!-- end content -->
	
		<?php get_footer(); ?>
		</div> <!-- end container -->
	</div><!-- end wrap (from header.php) -->
	
</body>
</html>
